PWCK(8)

NAME
pwck - verify the integrity of password files

ÜBERSICHT

pwck [options] [PASSWORDFILE [ SHADOWFILE ]]

BESCHREIBUNG

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Es wird überprüft, ob jeder Eintrag folgende Eigenschaften aufweist:

    • die richtige Anzahl von Feldern

    • einen eindeutigen und gültigen Benutzernamen

    • eine gültige Benutzer- und Gruppenkennung

    • eine gültige primäre Gruppe

    • ein gültiges persönliches Verzeichnis

    • eine gültige Anmelde-Shell

Checks for shadowed password information are enabled when the second file parameter SHADOWFILE is specified or when /etc/shadow exists on the system.

Diese Tests umfassen Folgendes:

    • ob es zu jedem Eintrag in passwd einen passenden Eintrag in shadow und umgekehrt gibt

    • ob die Passwörter in der geschützten Datei abgelegt sind

    • ob die Einträge der geschützten Datei die richtige Anzahl von Feldern haben

    • ob die Einträge in der geschützten Datei nicht mehrfach vorkommen

    • dass das Datum der letzten Passwortänderung nicht in der Zukunft liegt

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warnings and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

OPTIONEN

The -r and -s options cannot be combined.

The options which apply to the pwck command are:

--badname
    erlaube Namen, die nicht den Standards entsprechen.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-q, --quiet
    meldet nur Fehler. Warnungen, die keine Handlung des Benutzers erfordern, werden nicht angezeigt.

-r, --read-only
    Execute the pwck command in read-only mode.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sort
    Sort entries in /etc/passwd and /etc/shadow by UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

NONEXISTENT (string)
    If a system account intentionally does not have a home directory that exists, this string can be provided in the /etc/passwd entry for the account to indicate this. The result is that pwck will not emit a spurious warning for this account.

PASS_MAX_DAYS (number)
    The maximum number of days a password may be used. If the password is older than this, a password change will be forced. If not specified, -1 will be assumed (which disables the restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, 0 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    The number of days warning given before a password expires. A zero means warning is given only upon the day of expiration, a value of -1 means no warning is given. If not specified, no warning will be provided.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    geschützte Informationen zu den Benutzerkonten

RÜCKGABEWERTE

The pwck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad password entries

3
    can't open password files

4
    can't lock password files

5
    can't update password files

6
    can't sort password files

SIEHE AUCH

group(5), grpck(8), passwd(5), shadow(5), usermod(8).